.carousel {
	position: relative;
	background: #16322d;
	color: #e4e4d4;
	padding: 6rem 0 5rem;
}

.carousel.bone {
	background: #fafaf5;
	color: #16322d;
}

.carousel.bone .carousel__top h2 { color: #16322d; }
.carousel.bone .carousel__item h3 { color: #16322d; }
.carousel.bone .carousel__item .carousel__item-description * { color: rgba(22,50,45,.7); }
.carousel.bone .carousel__item .carousel__link { color: #e05e2f; }
.carousel.bone .carousel__item .carousel__link:hover { color: #bb6444; }
.carousel.bone a.carousel__item h3:hover { color: #455350; }
.carousel.bone a.carousel__item .carousel__item-description :hover { color: #455350; }
.carousel.bone .swiper-button-next,.carousel.bone .swiper-button-prev { background-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' width='59' height='31' viewBox='0 0 59 31' fill='none'%3E%3Cpath d='M1 16H58L43.5509 30' stroke='%2316322D' stroke-width='2' stroke-linecap='round' stroke-linejoin='round'/%3E%3Cpath d='M1 16H58L43.5509 1' stroke='%2316322D' stroke-width='2' stroke-linejoin='round'/%3E%3C/svg%3E"); }

.carousel__bg {
	position: absolute;
	top: 0;
	left: 0;
	width: 100%;
	height: 100%;
	z-index: 1;
	mix-blend-mode: difference;
	transform: translate3d(0,0,0);
	-webkit-user-select: none;
	-moz-user-select: none;
	user-select: none;
	pointer-events: none;
}

.carousel__bg img {
	width: 100%;
	height: 100%;
	-o-object-fit: cover;
	object-fit: cover;
	-o-object-position: center;
	object-position: center;
	opacity: .34;
}

.carousel__top {
	display: flex;
	flex-direction: column;
	gap: 1.75rem;
	margin-bottom: 2rem;
	position: relative;
	padding-right: 10rem;
}

.carousel__top h2 {
	color: #e4e4d4;
	font-size: 3.75rem;
	font-weight: 700;
	line-height: 4.1875rem;
	letter-spacing: -.075rem;
}

.carousel__description { max-width: 43rem; }

.carousel__description * {
	font-size: 1.375rem;
	font-weight: 400;
	line-height: 2rem;
	letter-spacing: -.03rem;
}

.carousel__button {
	margin-top: 4.81rem;
	display: flex;
	justify-content: flex-end;
}

.carousel__swiper .swiper-wrapper {
	align-items: stretch;
}
.carousel__item.swiper-slide {
	height: auto;
}

.carousel a.carousel__item {
	display: flex;
	flex-direction: column;
}
.carousel a.carousel__item:hover h3 { color: #a4a49e; }
.carousel a.carousel__item .carousel__item-description * { color: #a4a49e; }
.carousel__item { position: relative; }

.carousel__item img {
	width: 100%;
	height: auto;
	object-fit: cover;
	/* aspect-ratio: 1/1; */
	/* to pick up some vertical room */
	aspect-ratio: 5 / 4;
	border-radius: 1rem;
	margin-bottom: 1rem;
}

.carousel__item h3 {
	color: #e4e4d4;
	font-size: 1.5rem;
	font-weight: 700;
	line-height: 1.75rem;
	margin-bottom: 1rem;
	font-family: "DM Sans";
	transition: .3s ease-out;
}

.carousel__item-description {
	margin-bottom: 1rem;
}

.carousel__item-description * {
	color: var(--wsc-color-white);
	font-size: 1.25rem;
	font-weight: 400;
	line-height: 1.5rem;
	transition: .3s ease-out;
}

.carousel__link {
	margin-top: auto;
	display: inline-block;
	color: #e4e4d4;
	font-family: "DM Sans";
	font-size: 1rem;
	font-weight: 600;
	line-height: 1.375rem;
	transition: .3s ease-out;
}

.carousel__link:hover { color: #a4a49e; }

.carousel__container--slider .carousel__swiper {
	padding-left: 8.5rem;
	padding-right: 1.5rem;
	max-width: 100rem;
	margin-inline: auto;
}

@media (max-width:1920px) {
	.carousel__container--slider .carousel__swiper {
		max-width: none;
		margin-inline: 0;
	}
}

.carousel__container--static .carousel__items {
	display: grid;
	grid-template-columns: repeat(auto-fit,minmax(300px,1fr));
	gap: 2rem;
	padding: 0 8.5rem;
	max-width: 100rem;
	margin-inline: auto;
}

@media (max-width:1920px) {
	.carousel__container--static .carousel__items {
		max-width: none;
		margin-inline: 0;
	}
}

.carousel__swiper {
	padding-left: 8.5rem;
	padding-right: 1.5rem;
	max-width: 100rem;
	margin-inline: auto;
}

@media (max-width:1920px) {
	.carousel__swiper {
		max-width: none;
		margin-inline: 0;
	}
}

.carousel__controls {
	position: absolute;
	display: flex;
	gap: 1.5rem;
	padding-top: 1.2rem;
	top: 7.12rem;
	right: 8.5rem;
}

.carousel__controls.tabletControls { display: none; }

.carousel__controls .swiper-button-next,.carousel__controls .swiper-button-prev {
	transition: opacity .3s ease-in-out;
	width: 3.5625rem;
	height: 1.8125rem;
	background-position: center;
	background-size: contain;
	background-repeat: no-repeat;
	background-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' width='59' height='31' viewBox='0 0 59 31' fill='none'%3E%3Cpath d='M1 16H58L43.5509 30' stroke='%23E4E4D4' stroke-width='2' stroke-linecap='round' stroke-linejoin='round'/%3E%3Cpath d='M1 16H58L43.5509 1' stroke='%23E4E4D4' stroke-width='2' stroke-linejoin='round'/%3E%3C/svg%3E");
}

.carousel__controls .swiper-button-prev { transform: rotate(180deg); }
.carousel__controls .swiper-button-disabled { opacity: .2; }

.carousel__container--few-items {
	padding-left: 8.5em;
	padding-right: 8.5em;
	margin-inline: auto;
	max-width: 100rem;
	width: 100%;
}

@media (max-width:1920px) {
	.carousel__container--few-items {
		max-width: none;
		margin-inline: 0;
	}
}

.carousel__container--few-items .swiper { padding-left: 0; }
.carousel__container--few-items .carousel__item { width: calc(33.33333% - 16px); }
.carousel__container--few-items .swiper-wrapper { gap: 24px; }

@media (max-width:1025px) {
	.carousel__container--slider .carousel__swiper {
		padding-left: 3rem;
		padding-right: 1.5rem;
	}
	.carousel__container--static .carousel__items {
		padding: 0 3rem;
		grid-template-columns: repeat(auto-fit,minmax(250px,1fr));
		gap: 1.5rem;
	}
	.carousel__container--static .carousel__items { grid-template-columns: repeat(3,1fr); }
	.carousel__swiper {
		padding-left: 3rem;
		padding-right: 1.5rem;
	}
	.carousel__controls { right: 3rem; }
	.carousel__controls.tabletControls { display: flex; }
	.carousel__container--few-items {
		padding-left: 3rem;
		padding-right: 0;
	}
	.carousel__container--few-items .swiper-wrapper { gap: 0; }
}

@media (max-width:767px) {
	.carousel {
		padding: 4.56rem 0;
	}
	.carousel__top {
		padding-right: 0;
		gap: .5rem;
		flex-direction: column;
		margin-bottom: 1.5rem;
		align-items: center;
	}
	.carousel__top h2 {
		text-align: center;
		font-size: 2rem;
		line-height: 2.5rem;
		letter-spacing: -.02rem;
	}
	.carousel__description { max-width: 100%; }
	.carousel__description * {
		font-size: 1rem;
		line-height: 1.375rem;
		text-align: center;
	}
	.carousel__button {
		justify-content: center;
		margin-top: 3.25rem;
	}
	.carousel__item img { margin-bottom: 1.58rem; }
	.carousel__item h3 {
		font-size: 1.5rem;
		line-height: 1.75rem;
		margin-bottom: .5rem;
	}
	.carousel__item-description { max-width: 100%; }
	.carousel__item-description * {
		font-size: 1rem;
		line-height: 1.375rem;
	}
	.carousel__link { margin-top: .5rem; }
	.carousel__container--slider .carousel__swiper {
		padding-left: 1.25rem;
		padding-right: 1.5rem;
	}
	.carousel__container--static .carousel__items {
		padding: 0 1.25rem;
		grid-template-columns: 1fr;
		gap: 1rem;
	}
	.carousel__swiper {
		padding-left: 1.25rem;
		padding-right: 1.5rem;
	}
	.carousel__controls {
		margin-top: 1rem;
		position: static;
		justify-content: center;
	}
	.carousel__container--few-items {
		padding-left: 1.25rem;
		padding-right: 1.25rem;
	}
}
